package de.ivu.elect.business.stimmeingabe.entity;

public enum StimmeingabeHerkunftUmgang {

  IGNORIEREN {
    @Override
    public boolean isExternSetzen() {
      return false;
    }

    @Override
    public boolean isInternSetzen() {
      return false;
    }
  },
  INTERN_IGNORIEREN_EXTERN_BEACHTEN {
    @Override
    public boolean isExternSetzen() {
      return true;
    }

    @Override
    public boolean isInternSetzen() {
      return false;
    }
  },
  INTERN_BEACHTEN_EXTERN_IGNORIEREN {
    @Override
    public boolean isExternSetzen() {
      return false;
    }

    @Override
    public boolean isInternSetzen() {
      return true;
    }
  },
  BEACHTEN {
    @Override
    public boolean isExternSetzen() {
      return true;
    }

    @Override
    public boolean isInternSetzen() {
      return true;
    }
  };

  public abstract boolean isInternSetzen();

  public abstract boolean isExternSetzen();
}
